%Use the Haversine formula to calculate distances between installations

function [Distance] = CalculateDistance(Lat1,Lat2,Lon1,Lon2)

R =6360752;  %Radius of the Earth[m] (6356 at poles, 6378 at equator)

%Convert latitude and longitude from degrees to radians
Lat1_r = Lat1*(pi/180);
Lat2_r = Lat2*(pi/180);
Lon1_r = Lon1*(pi/180);
Lon2_r = Lon2*(pi/180);

A = sqrt(sin((Lat2_r-Lat1_r)/2).^2+(cos(Lat1_r)*cos(Lat2_r)*sin((Lon2_r-Lon1_r)/2).^2));
%Haversine formula
Distance = 2*R * asin(A);

end 