%Make a Distance Matrix

%Pre-allocate the distance matrix
DistMatrix = zeros(16);

%Make vectors containing the latitude (LA) and longitude
%(LO) coordinates, with the corresponding names of the installations 
%as a string vector. 

LA = [60.79 61.25 61.2 61.29 61.17 61.2 61.2 61.07 60.89 60.87 60.6 60.38 60.7 60.48 60.84 60.78];
LO = [5.063 1.85 1.82 1.9 2.18 2.2 2.27 2.19 3.65 3.69 2.77 2.79 2.93 2.82 3.58 3.55];
Name ={'Base Mongstad', 'Statfjord A', 'Statfjord B', 'Statfjord C', 'Gullfaks A',...
    'Gullfaks B', 'Gullfaks C', 'Gullfaks - Songa Dee', 'Troll - Stena Don', ...
    'Troll - Songa Equinox', 'Oseberg C', 'Oseberg Sr', 'Oseberg st', ...
    'Oseberg B', 'Troll COSL Innovator', 'Troll COSL Promoter'};

%Double for-loop to allocate the distances between the installations
%according to the sequence given in the "Name"-vector. 

for i = 1:16
    for j = 1:16
        %Set the distance to 0 on the upper left-lower right diagonal.
        if i == j
            DistMatrix(i,j) = 0;
        else
        %Call the function "CalculateDistance" to calculate the distance
        %and allocate it accordingly.
        DistMatrix(i,j) = CalculateDistance(LA(i),LA(j),LO(i),LO(j));
        end
    end
end


